Bug 1475036 - Missing atomic-openshift-clients-redistributable in rhel-7-server-ose-3.5-rpms
Missing atomic-openshift-clients-redistributable in rhel-7-server-ose-3.5-rpms
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.5.1
All Linux
medium Severity medium
: ---
: 3.11.0
Assigned To: Scott Dodson
Johnny Liu
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-25 18:12 EDT by Tobias Brunner
Modified: 2018-04-16 11:28 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tobias Brunner 2017-07-25 18:12:33 EDT
Description of problem:

The package "atomic-openshift-clients-redistributable" seems to be missing in rhel-7-server-ose-3.5-rpms whereas it was available in rhel-7-server-ose-3.4-rpms.

How reproducible:

Steps to Reproduce:
1. Enable rhel-7-server-ose-3.5-rpms repo
2. yum install atomic-openshift-clients-redistributable
3. Package not found

Actual results:

# yum install atomic-openshift-clients-redistributable 
Loaded plugins: search-disabled-repos, versionlock
Nothing to do

# yum search atomic-openshift-clients-redistributable
Loaded plugins: search-disabled-repos, versionlock
============================================================================================ N/S matched: atomic-openshift-clients-redistributable ============================================================================================
atomic-openshift-clients-redistributable.x86_64 : Origin Client binaries for Linux, Mac OSX, and Windows

  Name and summary matches only, use "search all" for everything.# yum search atomic-openshift-clients-redistributable
Loaded plugins: search-disabled-repos, versionlock
============================================================================================ N/S matched: atomic-openshift-clients-redistributable ============================================================================================
atomic-openshift-clients-redistributable.x86_64 : Origin Client binaries for Linux, Mac OSX, and Windows

  Name and summary matches only, use "search all" for everything.

# yum info atomic-openshift-clients-redistributable
Loaded plugins: search-disabled-repos, versionlock
Installed Packages
Name        : atomic-openshift-clients-redistributable
Arch        : x86_64
Version     : 3.4.1.18
Release     : 1.git.0.0f9d380.el7
Size        : 301 M
Repo        : installed
From repo   : rhel-7-server-ose-3.4-rpms
Summary     : Origin Client binaries for Linux, Mac OSX, and Windows
URL         : https://github.com/openshift/origin
License     : ASL 2.0
Description : Origin Client binaries for Linux, Mac OSX, and Windows

# yum repolist
Loaded plugins: search-disabled-repos, versionlock
repo id                                                                                              repo name                                                                                                                         status
centos-gluster/x86_64                                                                                CentOS-7Server - Gluster 3.10 (from Puppet module "profile_gluster")                                                                    87
epel/x86_64                                                                                          Extra Packages for Enterprise Linux 7 - x86_64                                                                                    11,923+6
icinga-stable-release/7Server                                                                        Official Icinga repository (from Puppet module "profile_icinga2")                                                                   209+23
puppetlabs/7Server/x86_64                                                                            Puppet Labs Products El - x86_64 (from Puppet module "vshn_puppet")                                                                    225
puppetlabs-deps/7Server/x86_64                                                                       Puppet Labs Dependencies El - x86_64 (from Puppet module "vshn_puppet")                                                                 17
rhel-7-fast-datapath-htb-rpms/x86_64                                                                 Red Hat Enterprise Linux Fast Datapath Beta (RHEL 7 Server) (RPMs)                                                                      51
rhel-7-fast-datapath-rpms/7Server/x86_64                                                             Red Hat Enterprise Linux Fast Datapath (RHEL 7 Server) (RPMs)                                                                           29
rhel-7-server-extras-rpms/x86_64                                                                     Red Hat Enterprise Linux 7 Server - Extras (RPMs)                                                                                   524+12
rhel-7-server-optional-rpms/7Server/x86_64                                                           Red Hat Enterprise Linux 7 Server - Optional (RPMs)                                                                                 11,095
rhel-7-server-ose-3.5-rpms/x86_64                                                                    Red Hat OpenShift Container Platform 3.5 (RPMs)                                                                                     463+60
rhel-7-server-rpms/7Server/x86_64                                                                    Red Hat Enterprise Linux 7 Server (RPMs)                                                                                            14,606
vshn_yum_public                                                                                      VSHN AG public yum repo (from Puppet module "vshn_lib")                                                                             275+12
repolist: 39,504


Expected results:

Package atomic-openshift-clients-redistributable installed from rhel-7-server-ose-3.5-rpms repo with client versions from 3.5

Additional info:
-
Comment 1 Brenton Leanhardt 2017-07-26 12:12:52 EDT
Can you access this link?

https://access.redhat.com/downloads/content/atomic-openshift-clients-redistributable/3.5.5.31-1.git.0.b6f55a2.el7/x86_64/fd431d51/package

This claims that the package is indeed available in 3.5.  If could be a temporary problem with cdn.redhat.com.  Can you try cleaning your yum cache?
Comment 2 Tobias Brunner 2017-07-27 05:39:41 EDT
After doing some more investigation: It's excluded for upgrade by the atomic-openshift-excluder tool. So somehow during the upgrade playbook run, this package doesn't get updated and later excluded for manual upgrade.

# atomic-openshift-excluder unexclude
# yum update atomic-openshift-clients-redistributable
# atomic-openshift-excluder exclude
# yum info atomic-openshift-clients-redistributable
Loaded plugins: search-disabled-repos, versionlock
Installed Packages
Name        : atomic-openshift-clients-redistributable
Arch        : x86_64
Version     : 3.5.5.31
Release     : 1.git.0.b6f55a2.el7
Size        : 259 M
Repo        : installed
From repo   : rhel-7-server-ose-3.5-rpms
Summary     : Origin Client binaries for Linux, Mac OSX, and Windows
URL         : https://github.com/openshift/origin
License     : ASL 2.0
Description : Origin Client binaries for Linux, Mac OSX, and Windows

Maybe this is something which should be handled by the openshift-ansible playbooks?
Comment 3 Brenton Leanhardt 2017-07-27 07:36:44 EDT
Ahh, that's starting to make more sense.  Did you follow the steps detailed here?:

https://docs.openshift.com/container-platform/3.5/install_config/upgrading/automated_upgrades.html#install-config-upgrading-automated-upgrades
Comment 4 Tobias Brunner 2017-07-28 03:09:41 EDT
Yes, we've exactly followed these steps.
Comment 5 Brenton Leanhardt 2017-07-28 08:25:30 EDT
We'll move this back to the installer team so someone familiar with the excluders  packages can review the documentation.  Thanks for your patience.
Comment 6 Scott Dodson 2017-07-28 08:31:43 EDT
It's not a package that we install by default but we could check for its existence and update it if it's there. Which hosts have you installed this on?
Comment 7 Tobias Brunner 2017-07-28 08:45:05 EDT
We install this package on the master hosts to provide a client download link in the webconsole to logged in users.
Comment 8 Scott Dodson 2017-08-24 15:56:04 EDT
Sorry, missed comment 5 when scanning, back to installer.
Comment 10 Scott Dodson 2018-01-23 16:06:58 EST
Suggested solution, when upgrading master or node packages we check for presence of {{ openshift_service_type }}-clients-redistributable and if present we upgrade it too.

Moving to 3.10.

Note You need to log in before you can comment on or make changes to this bug.